__version__ = '0.8a3'

import unittest

from cssutils import CSSParser


class ParseTestCase(unittest.TestCase):

    def test_parse(self):

        expected = u'''@import url(x.css);
body {
    color: red;
    }'''
        p = CSSParser(raiseExceptions=True)
        c = p.parseString('@import url(x.css); body { color: red }')   
        self.assertEqual(expected, c.cssText)


    def test_comments(self):
        p = CSSParser()
        expected = u'a {\n\n    }'
        c = p.parseString(expected)   
        self.assertEqual(expected, c.cssText)


if __name__ == '__main__':
    unittest.main() 		